blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
9a236c8948df76b2d1b715728ec15dcb42829253 | Shell | nic-instruction/hello-nti-310 | /ldap_client.sh | UTF-8 | 2,564 | 2.765625 | 3 | [] | no_license | #!/bin/bash
# note, this is only part of the ldap client install script. These are the relevent sed lines.
apt-get update
export DEBIAN_FRONTEND=noninteractive
apt -y install libnss-ldap libpam-ldap ldap-utils
unset DEBIAN_FRONTEND
sed -i 's/passwd: compat systemd/passwd: compat systemd ldap/g' /etc/... | true |
85beb320b6be28918c6473fd30e57dc6e7130a4b | Shell | AdrieanKhisbe/diractions | /__diraction-dispatch | UTF-8 | 5,914 | 3.515625 | 4 | [
"MIT"
] | permissive | #compdef _diraction-dispatch # -*- mode: sh -*-
# completion for the dispatcher command
# words: 1:function 2:directory 3:pattern
local diract=$words[2]
local dirdir=`eval echo $diract`
local subcommand=$words[3]
# Update Pwd to make subcompleter to consider we are in the target directory
local OLDPWD=$PWD
local ... | true |
5f2632ca12d0041ad3681684800a6162fd8940ca | Shell | delkyd/alfheim_linux-PKGBUILDS | /cronutils/PKGBUILD | UTF-8 | 405 | 2.78125 | 3 | [] | no_license | pkgname=cronutils
pkgver=1.9
pkgrel=1
pkgdesc=""
arch=(i686 x86_64)
license=('Apache')
source=("https://github.com/google/$pkgname/archive/version/$pkgver.tar.gz")
md5sums=('75e0c279a56a811e8302d08827fcd9f3')
build() {
cd "$pkgname-version-$pkgver"
make
}
check() {
cd "$pkgname-version-$pkgver"
make test
}
packa... | true |
7a4961ebf3436a4a959f7f64197497d51d23bc47 | Shell | kikimor2009/UsefulScripts | /Scripts /process_monitor_1189Amp.sh | UTF-8 | 3,904 | 3.46875 | 3 | [] | no_license | #!/bin/bash
rm -f screenlog.0
rm -f /home/bin/goodAmpPwr.txt
touch debug_out_"$(date -I)"_"$(date +%T)".txt
first_start=0 #first run flag for checks
chmod 777 ./*
echo "[ $(date -R) ] : Setup config for cdma " | tee -a debug_out*
echo "[ $(date -R) ] : Parameters for config $1 $2 $3 $4 $5 $6 $7 $8" >> debug_out*
./s... | true |
e3f3ce4ac9c7598b42c0afc24ac5a16906941940 | Shell | epoxa/auth-vvproject | /tests/run-all-in-docker.sh | UTF-8 | 438 | 2.90625 | 3 | [] | no_license | #!/usr/bin/env bash
cd $(cd $(dirname $0) && pwd)/..
# Tweak php modules and install dependencies
docker/tests-up.sh
# Set browser according to environment variable
docker-compose -f ./docker/docker-compose.yml exec php /var/www/html/docker/sh/set-test-browser.sh "${YY_TEST_BROWSER}"
# Restart world
rm -rfd runtime... | true |
444ebdb1a3aaac31130257ae5c9c7144ebef4983 | Shell | greatgauss/linuxtools | /cut_last_N_bytes | UTF-8 | 298 | 4.0625 | 4 | [] | no_license | #!/bin/sh
usage()
{
echo "Delete the last N bytes of the file" >&2
echo "usage: $(basename $0) [length_of_data_to_delete] [filename]" >&2
exit 1
}
if [ $# -ne 2 ];then
usage
fi
LENGTH=$1
FILESIZE=$(stat --format=%s $2)
FILESIZE=$(expr ${FILESIZE} - ${LENGTH})
truncate -s ${FILESIZE} $2
| true |
739f8db9d1612330c760d4ac749f0c7be62daa1e | Shell | jagrvargen/holberton-system_engineering-devops | /0x0F-load_balancer/1-install_load_balancer | UTF-8 | 977 | 3.109375 | 3 | [] | no_license | #!/usr/bin/env bash
# Update and install Nginx.
agt-get -y update
apt-get -y install nginx
# Install HAproxy v1.8
apt-get -y install software-properties-common
add-apt-repository -y ppa:vbernat/haproxy-1.8
apt-get -y update
apt-get -y install haproxy=1.8.\*
# Enable HAproxy to start at boot
sed -i '8iENABLED=1' /etc/... | true |
502ae22f9da7b906b610e1fbe6085a65d17dcf0a | Shell | Samsung/qaboard | /services/db/init.sh | UTF-8 | 228 | 2.71875 | 3 | [
"Apache-2.0",
"CC-BY-4.0",
"MIT"
] | permissive | #!/bin/bash
cp /postgres.host.conf /var/lib/postgresql/data/postgres.conf
chown postgres /var/lib/postgresql/data/postgres.conf
if [[ $# -eq 0 ]] ; then
exec docker-entrypoint.sh postgres
fi
exec docker-entrypoint.sh "$@"
| true |
0c7c80f886d1b74b90b2320c992e470361ec9caa | Shell | conoverm/pi-template-library | /run.sh | UTF-8 | 1,177 | 3.625 | 4 | [] | no_license | #!/bin/bash
NAME="template_library" # Name of the application
APPDIR=/apps/template_library # Project directory
SOCKFILE=/tmp/template_library.sock # we will communicte using this unix socket
USER=cstech # the user to run as
GROUP=cstech # the group to run as
NUM_WO... | true |
fad1ad522fd3f77e8e2e376df5e75621384faade | Shell | Gabelbombe/python-primers | /Setup/installer.sh | UTF-8 | 798 | 3.609375 | 4 | [] | no_license | #!/usr/bin/env bash
if hash python 2>/dev/null ; then
if hash pip 2>/dev/null ; then
v=$(python --version 2>&1 |awk '{print$2}')
a=( ${v//./ } ) ## replace points, split into array
((a[2]++)) ## increment revision (or other part)
## composed as new version chain
if [ '2.7' = "${a[0]}... | true |
946812cc5fb0a5223e330470ad2918feb8e8c5fd | Shell | scherzhaft/roles | /sysupdate/files.Linux/opt/unix_ops/STIG/bin/SV-37757.sh | UTF-8 | 411 | 2.9375 | 3 | [] | no_license | #!/bin/bash -x
FIX="${*}"
test "X${FIX}" = "X" && FIX='/etc/syslog.conf'
sleep 1
TSTAMP=`date +%Y-%m-%d_%H:%M:%S`
SELF=`basename $0`
grep -E "(authpriv.info;.*authpriv.none;|authpriv.none;.*authpriv.info)" ${FIX}
NEEDS="$?"
test "X${NEEDS}" != "X0" -a "X${SELF}" != "X" -a "X${TSTAMP}" != "X" -a "X${FIX}" != "X" && pe... | true |
7adef7cb0b7dbea7c935ca3705f42ab365506235 | Shell | dalalsunil1986/femtoOs | /build.sh | UTF-8 | 765 | 3.234375 | 3 | [] | no_license | #!/bin/sh
set -e
IMAGE=femtoos.img
ISO=femtoos.iso
TMP=/tmp/femtoos
IMAGESIZE=10000
#
# remove old file
#
rm -f $IMAGE
rm -f $ISO
#
# build kernel
#
make clean
make
#
# make .img file, with the kernel and with grub
#
dd bs=1k count=$IMAGESIZE of=$IMAGE if=/dev/zero
mdconfig -a -t vnode -f $IMAGE -u 0
gpart create -... | true |
7b98a7ef7c1a0b36fe135c179495c9b4a7fe5202 | Shell | swaroopch/dotbash | /themes/pete/pete.theme.bash | UTF-8 | 470 | 2.59375 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
prompt_setter() {
# Save history
history -a
history -c
history -r
PS1="(\t) $(scm_char) [$blue\u$reset_color@$green\H$reset_color] $yellow\w${reset_color}$(scm_prompt_info)$(ruby_version_prompt) $reset_color "
PS2='> '
PS4='+ '
}
PROMPT_COMMAND=prompt_setter
SCM_THEME_PROMPT_DIRTY="... | true |
84b4c50e1c8ab190436b9f99cd9b2351bbd5ac26 | Shell | donghuang/hadoop-streaming | /aggregate/aggregate.sh | UTF-8 | 563 | 2.953125 | 3 | [] | no_license | #!/usr/bin/env bash
ETL_DATE=20150301
OUTPUT="$ETL_DATE/`basename $0`"
hadoop fs -test -d $ETL_DATE 2>&1 2>/dev/null
[ $? -eq 0 ] || hadoop fs -mkdir $ETL_DATE
hadoop fs -test -d $ETL_DATE/$SCRIPT 2>&1 2>/dev/null
[ $? -eq 0 ] && hadoop fs -rmr $OUTPUT
hadoop jar /home/hadoop/hadoop-1.2.1/contrib/streaming/hadoop-s... | true |
c7cd37471889ce736926c8823a831a77d4893921 | Shell | apache/yetus | /release/build-and-sign.sh | UTF-8 | 7,478 | 3.359375 | 3 | [
"MIT",
"OFL-1.1",
"Apache-2.0",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/usr/bin/env bash
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements. See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License... | true |
ba4822910ca19583fa145a46bc0ebe52c7a92236 | Shell | roddy20/Hackintosh | /Scripts/LogoutHook_Install.command | UTF-8 | 461 | 2.546875 | 3 | [] | no_license | #!/bin/sh
# Created by Rodion Shingarev on 29.11.18.
cd "$(dirname "$0")"
sudo echo
sudo cp -v LogoutHook '/Volumes/Macintosh HD/.LogoutHook'
for S in /Volumes/*
do
if [ -f "$S/System/Library/CoreServices/boot.efi" ]
then
echo
echo $S
sudo defaults write "$S/private/var/root/Library/Preferences/com.apple.loginwindow.... | true |
06ca1557aed2fd94942cce09112bb6e919e54452 | Shell | openshift/managed-upgrade-operator | /boilerplate/openshift/golang-osd-operator-osde2e/e2e-harness-generate.sh | UTF-8 | 2,216 | 3.796875 | 4 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
set -e
cmd=${0##*/}
usage() {
cat <<EOF
Usage: $0 OPERATOR_NAME OSDE2E_CONVENTION_DIR
EOF
exit -1
}
OPERATOR_NAME=$1
OSDE2E_CONVENTION_DIR=$2
REPO_ROOT=$(git rev-parse --show-toplevel)
HARNESS_DIR=$REPO_ROOT/osde2e
# Update operator name in templates
export OPERATOR_HYPHEN_NAME=$(echo ... | true |
0e5501fdfb122047d5d1407b14739951ff1994db | Shell | pyDock/parallel | /run_dockser_parallel.sh | UTF-8 | 2,462 | 3.890625 | 4 | [] | no_license | #!/bin/bash
# 0 < numProcs < 100
SCRIPT_PATH_R="`dirname \"$0\"`" # relative
SCRIPT_PATH_A="`( cd \"$MY_PATH_R\" && pwd )`" # absolutized and normalized
PYDOCK3_BIN=`which pydock3`
if [ $PYDOCK3_BIN ];then
BASE_PATH=`dirname ${PYDOCK3_BIN}`
else
PYDOCK3_BIN=`dirname ${SCRIPT_PATH_R}`/pyDock3
BASE_PAT... | true |
1166280275abe119cd66737db2f0b577a8b19758 | Shell | daviddever/acextract | /acconvert | UTF-8 | 225 | 2.578125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
for ((x=1;x<379;x++))
do
convert -resize 500% ~/Documents/ac94/images/page$x.png -type Grayscale ~/Documents/ac94/images/page$x.tiff
tesseract ~/Documents/ac94/images/page$x.tiff ~/Documents/ac94/text$x
done
| true |
7e5f1cfc84899d4290d6c7729b4b064e85241a03 | Shell | peppelinux/pyoidc | /docker/op/run.sh | UTF-8 | 508 | 3.390625 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
trap 'kill ${!}; term_handler' SIGHUP SIGINT SIGQUIT SIGTERM
pid=0
term_handler() {
echo "term_handler"
service ntp stop
if [ $pid -ne 0 ]; then
kill -SIGTERM "$pid"
wait "$pid"
fi
exit 143; # 128 + 15 -- SIGTERM
}
service ntp start
service apache2 start
echo -n "Starting node... | true |
f8594a2cb01a01d7c8d02566b24d115234783985 | Shell | os-autoinst/scripts | /test/01-label-known-issues.t | UTF-8 | 3,936 | 3.015625 | 3 | [
"MIT",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/usr/bin/env bash
source test/init
plan tests 27
source _common
client_output=''
mock-client() {
client_output+="client_call $@"$'\n'
}
client_call=(mock-client "${client_call[@]}")
logfile1=$dir/data/01-os-autoinst.txt.1
logfile2=$dir/data/01-os-autoinst.txt.2
logfile3=$dir/data/01-os-autoinst.txt.3
try-cl... | true |
eae6dc96c5f18cb1efb9207cd478083239bc4dde | Shell | jamerst/dotfiles | /zsh/aliases.sh | UTF-8 | 1,437 | 3.125 | 3 | [] | no_license |
# GENERAL ALIASES
alias cp='cp -iv'
alias mv='mv -iv'
alias mkdir='mkdir -pv'
alias del='gio trash'
alias rm='rm -i'
alias chex='chmod u+x'
alias ch644='chmod 644'
alias ch755='chmod 755'
# FIXES
alias sudo='sudo ' # Enable aliases to be sudo'ed
# DOCKER
alias dcup='docker-compose up'
alias dcs='docker-compose stop... | true |
33f9cd05f1a80e27c5adcfa63454b8dddd9bb212 | Shell | ajishfrancis/Vmware_Cdrom_Removal | /Vmware_cdrom_removal/orchestration/orchestration_inventory_phase/1 | UTF-8 | 212 | 2.78125 | 3 | [] | no_license | #!/bin/sh
export IFS=","
cat > test(/home/Ajish/orchestration/orchestration_inventory_phase/arlington.csv)
cat test | while read ($1);
done
w=windows
b=windows
if [ $b == $1 ]
then
echo "$2" > /home/a.txt
fi
| true |
dfd61cc0531e1688e7f4e58e9524e8cab2930cfd | Shell | sjbalaji/myCustomizations | /bashrc | UTF-8 | 8,711 | 3.078125 | 3 | [] | no_license | ###############################################################################
# .bashrc
###############################################################################
#default options below
###############################################################################
# Source global definitions
if [ -f /etc/bashrc... | true |
2828b3b1e44eb7e5c09fb92b7abe713b4db823b0 | Shell | sassoftware/azure-quickstart-templates | /sas-9.4m7-va-mpp/scripts/install_runner/install_runner.sh | UTF-8 | 5,934 | 3.640625 | 4 | [] | permissive | #!/bin/bash
###
# So, the purpose of this file is to do the actual install of sas, mostly using ansible as the driving engine. It expects to be a long running process on the box and not to need to be interupted. In case of an error, it should exit uncleanly.
# This expects to be run by the install_runner_base.sh, which... | true |
5da780941e4337915f3d75d2c23db1240f18e104 | Shell | tkurze/Dockerfiles | /presto-dev/entrypoint.sh | UTF-8 | 1,163 | 3.359375 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
# vim:ts=4:sts=4:sw=4:et
#
# Author: Hari Sekhon
# Date: 2017-09-13 14:47:23 +0200 (Wed, 13 Sep 2017)
#
# https://github.com/HariSekhon/Dockerfiles
#
# License: see accompanying Hari Sekhon LICENSE file
#
# If you're using my code you're welcome to connect with me on LinkedIn and optionally se... | true |
4fadcfa2797987e00c090ff4db60d11c0cb104da | Shell | lasp-lang/evaluation | /readable_logs.sh | UTF-8 | 676 | 4.03125 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
echo "REMINDER: this file should be ran inside the log folder"
for FILE in *.csv
do
LINES=$(cat $FILE | grep -v memory)
## Truncate file
> $FILE
for LINE in $LINES
do
if [ "$LINE" == "Type,Seconds,MegaBytes" ]; then
echo $LINE >> $FILE
else
## Get unix timestamp
TIMES... | true |
7e0c1c813c0c6ad55e0a129934737766e96ea758 | Shell | mmomtchev/node-gdal-async | /deps/libnetcdf/netcdf/nczarr_test/run_ut_chunk.sh | UTF-8 | 1,200 | 3.703125 | 4 | [
"BSD-3-Clause",
"Apache-2.0"
] | permissive | #!/bin/sh
if test "x$srcdir" = x ; then srcdir=`pwd`; fi
. ../test_common.sh
set -e
# Test chunking code
# Control which test sets are executed
# possible sets: proj walk
TESTS=proj
# Functions
testproj() {
# Do a single output file
file="ut_proj.txt"
rm -f $file
CMD="${execdir}/ut_projections${ext}"
$C... | true |
be52d9459d61ca27d66d9e8ed179450149672588 | Shell | snapcrafters/sentry | /snap/hooks/post-refresh | UTF-8 | 396 | 3.328125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
set -u
set -o pipefail
# Try to ensure we have config first
$SNAP/bin/sentry config list >/dev/null
if [ $? -ne 0 ]; then
echo "Sentry is not initialised yet, so there is no need to migrate the database."
echo "Exiting and allowing the refresh to continue as normal."
exit 0
fi
echo "Migrating ... | true |
f0060e83109320dab6882045b9293af534609d66 | Shell | actapia/java_version | /java_version.sh | UTF-8 | 880 | 3.65625 | 4 | [] | no_license | #!/usr/bin/env bash
cd "$(dirname "${BASH_SOURCE[0]}")"
source optionsh.sh
declare -A MYARGS
if [ -z "$CMD_NAME" ]; then
CMD_NAME=$0
fi
parse_args "$CMD_NAME" MYARGS "$1"
parse_result=$?
if [ $parse_result -ne 0 ]; then
exit $parse_result
fi
set -e
case "${MYARGS[command]}" in
"ls")
CMD_NAME="$CMD_NAME ls"... | true |
ec4300d204bc3b7a933460b78e0067ba509829b4 | Shell | stuart-knock/bash-tools | /checkPyImport | UTF-8 | 1,197 | 4.03125 | 4 | [] | no_license | #!/usr/bin/env bash
#USAGE: checkPyImport packagename
#
#EXAMPLES:
# #Should return Success and an exit code of 0
# checkPyImport os
#
# #Should return Failure, exit code 1 -- "Douglas Adams" != "Monty Python"
# checkPyImport slartibartfast
#
# #In a script where you don't want the stdout, do something like:
# c... | true |
f465dc75bcca2655003906c1b84abdceeb1eb6cf | Shell | Craffey/todo | /todo | UTF-8 | 1,648 | 4.53125 | 5 | [] | no_license | #!/bin/bash
# todo program
# Manage a simple todo list in the terminal
# John Craffey
# 8-8-2019
# Create the todo list file if not created yet
if ! test -e "todo.txt"; then
echo "### todo list ###
" > todo.txt
fi
# Check argument validity
arg1=$1
if [[ $arg1 != "add" && $arg1 != "list" && $arg1 != "complete" \
... | true |
a2e93cfad1135759ce2aff71d12d1d763d779519 | Shell | PettTo/Master_Thesis_Tools | /Scripts/stabEvalAlgoBased.sh | UTF-8 | 941 | 2.890625 | 3 | [] | no_license | #!/bin/bash
#csvName='./stab_GPL_Chvatal_algoBased.csv'
modelName='model.xml'
algoName='IncLing'
prevFolder='./Automotive02_V1'
#newFolder='./GPL_01'
prevRun=1
nextRun=1
prevAlgo=$algoName$prevRun
nextAlgo=$algoName$nextRun
while [ $prevRun -le 5 ]
do
prevAlgo=$algoName$prevRun
filePath=$prevFolder'/stab_AlgoBase... | true |
166f6417dc28e25b37d81fb5447a2df0cb8b56be | Shell | ZQiannnn/hybrisimage-build | /alipine/startup.sh | UTF-8 | 811 | 3.53125 | 4 | [] | no_license | #!/bin/sh
set -e
if [ -f /opt/binaries/HYBRIS.zip ]; then
echo "Unzip Binaries"
unzip /opt/binaries/HYBRIS.zip -d /opt
else
echo "No Binaries HYBRIS.zip Found"
exit
fi
echo "Set Up Hybris"
cd $PLATFORM_HOME
ant clean all production -Dproduction.legacy.mode=false
echo "Wait For Docker"
success=""
whil... | true |
95ca46bf0b9250960c1edbd4b3719cd6bc594ba8 | Shell | nrnhines/nrntmp | /mingw_files/howto | UTF-8 | 1,596 | 2.671875 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
#see nrn/howtomingw
set -x
# in cygwin terminal in neuron/nrn
if test "x$OSTYPE" = "xcygwin" ; then
cd /cygdrive/c/msys64/msys/home/hines/neuron/nrn
sh hg2nrnversion_h.sh > src/nrnoc/nrnversion.h
cat src/nrnoc/neuron.h > tmp.c
cpp -Isrc/nrnoc -Isrc/oc tmp.c | sed '/^#/d' > neuron.tmp
python src/oc/mk_hoc... | true |
7f74a4619b652e50f21125151124dcacf5722b90 | Shell | cloudfoundry/bosh-azure-cpi-release | /src/bosh_azure_cpi/bin/check-ruby-version | UTF-8 | 1,019 | 3.8125 | 4 | [
"LicenseRef-scancode-unknown-license-reference",
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
BREW_CMD=$(command -v brew)
if [ -n "$BREW_CMD" ]; then
CHRUBY_PATH="$($BREW_CMD --prefix)/share/chruby/chruby.sh"
else
CHRUBY_PATH=/usr/local/share/chruby/chruby.sh
fi
[[ ! -f "$CHRUBY_PATH" ]] && {
echo "You need to install chruby. Please follow the README to install: https://github.com/p... | true |
131318d3aefa0ba97581857bc671d868824c91b3 | Shell | ak352/melanomics | /genome/align/bwa_untrimmed/run_bwa_se.sh | UTF-8 | 265 | 2.640625 | 3 | [] | no_license | #!/bin/bash --login
module load BWA
read_group=$1
ref=$2
read1=$3
output=$4
cores=$5
echo "Command: bwa mem -t $cores -M -R $read_group -p $ref $read1 > $output"
date
echo OAR_JOBID = $OAR_JOBID
time bwa mem -t $cores -M -R $read_group $ref $read1 > $output
date
| true |
43d6ad724c270631b22330a591149eee26f70eb0 | Shell | Mutha-Amjad/SP | /Assignmnet_task4.sh | UTF-8 | 423 | 3.1875 | 3 | [] | no_license | # !/bin/bash
if [ -s $1 ]
then
IFS=$'\n'
arr=(`cat -n $1 | sort -uk2 | sort -uk1 |cut -f2`)
declare -i loop
loop=${#arr[@]}
declare -i loopt
loopt=0
while [ $loopt -le $loop ]
do
if [ $loopt=0 ]
then
echo -n "`echo ${arr[$loopt]} 1>temp`"
else
echo -n "`echo ${arr[$loopt]} 1>>temp`"
fi
loopt=`e... | true |
26b88d61093c2165c02744485d27d643d65b7913 | Shell | lisuke/repo | /archlinuxcn/lib32-srt/PKGBUILD | UTF-8 | 1,152 | 2.75 | 3 | [] | no_license | # Maintainer: Rodrigo Bezerra <rodrigobezerra21 at gmail dot com>
_basename=srt
pkgname=lib32-srt
pkgver=1.5.1
pkgrel=1
pkgdesc="Secure Reliable Transport library (32-bit)"
url="https://www.srtalliance.org/"
arch=(x86_64)
license=(MPL2)
depends=(lib32-gcc-libs lib32-openssl srt)
makedepends=(cmake git ninja)
_commit=0... | true |
98f4b013e87ccf7da176ffec39949e4ad32db725 | Shell | snallapa/minecraft_forge_tools | /scripts/install_client.sh | UTF-8 | 172 | 2.640625 | 3 | [] | no_license | #!/bin/sh
# Download Jar
loc=$(dirname "$0")
echo "Downloading Jar"
$($loc/download_jar.sh)
echo "Jar Downloaded! Installing Client"
$(java -jar forge.jar)
echo "done :)"
| true |
75b61c42d6570719ce7803034e9785add4d8dd93 | Shell | wujunjian/shell | /for.sh | UTF-8 | 290 | 3.296875 | 3 | [] | no_license | #!/bin/bash
sum=0
#按规定的步数进行跳跃的方式实现列表for循环,例如计算1~100内所有的奇数之和
for i in {1..100..2}
do
let "sum+=i"
done
echo "sum=$sum"
for file in $( ls )
#for file in *
do
echo "file: $file"
done
| true |
824d29385750343a33d8577a9c58d047c8869456 | Shell | moqmar-docker/borg | /check-new-version.sh | UTF-8 | 355 | 3 | 3 | [] | no_license | #!/bin/sh
update_webhook=
upstream=$(curl -s "https://pkgs.alpinelinux.org/package/edge/community/x86_64/borgbackup" | htmlq -t '[aria-label="Flag this package out of date"]')
downstream=$(curl -s "https://hub.docker.com/v2/repositories/library/alpine/tags/$upstream" | jq -r ".name")
if [ "$downstream" != "$upstream" ]... | true |
fc1e1ee55a9ed1005801399b53d57bc7beb3e151 | Shell | A/.dotfiles | /bin/wifi | UTF-8 | 1,188 | 4.03125 | 4 | [] | no_license | #!/bin/bash
# TODO: make it configurable if you open this stuff again
ENV=$1
INTERFACE=wlp2s0
function disable_networks {
wpa_cli disable_network 0 > /dev/null
wpa_cli disable_network 1 > /dev/null
wpa_cli disable_network 2 > /dev/null
}
function enable_network {
wpa_cli enable_network $1
}
function disable_... | true |
9b75bfaf45b961c93aee2e993874f8798592cfa6 | Shell | rjudin/hostname | /hostname.sh | UTF-8 | 192 | 2.65625 | 3 | [] | no_license | #Display hostname and IP(s) for current container
echo "Hostname: $HOSTNAME | IP(s): $(hostname -I)" > '/usr/local/apache2/htdocs/index.html'
#Run web server in background
httpd -DFOREGROUND
| true |
4eaf4d2efabe49db46cb2be1c204721532836db6 | Shell | MiiMii1205/kyzenred-kvantum | /scripts/kyzenred-kvrc-generator.sh | UTF-8 | 2,751 | 3.375 | 3 | [
"CC-BY-4.0"
] | permissive | #! /bin/sh
KVCONFIG_SRC_FILE="../Kyzenred.kvconfig"
TEMPLATE_FILE="../src/kvconfigtemplate"
if [ -e $TEMPLATE_FILE ]; then
echo Generating standard Kvantum colors...
TEMPLATE=$(
< $TEMPLATE_FILE ./kyzenred-kvantum-color-edit.sh "ForegroundNormal" "Colors:Window" "window_text" |
./kyzenred-kv... | true |
6291093d2ff1bf349c4c2200ef5a3674e2a66d25 | Shell | jiqimaogou/shell_script | /macror.sh | UTF-8 | 1,087 | 3 | 3 | [] | no_license | # Installing Homebrew
ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
# We're going to use rbenv to install and manage our Ruby versions.
brew install rbenv ruby-build
# Add rbenv to bash so that it loads every time you open a terminal
echo 'if which rbenv > /dev/null; then e... | true |
51e0a229a2ff7ad72825b997fb917abc8ea0faaa | Shell | junewong/mybackupcode | /shell/2016_company/grep-by-dict.sh | UTF-8 | 435 | 3.453125 | 3 | [] | no_license | #!/usr/bin/env bash
# 从一个关键词列表中过滤出指定文件的数据
#
# e.g.:
# 过滤包含的数据
# grep-by-dict.sh pack_games_data_id.txt disable_english.csv
#
# 过滤出没有包含数据
# grep-by-dict.sh -v pack_games_data_id.txt disable_english.csv
param="-E"
dict=$1
if [[ "$dict" = "-v" ]]; then
param="-Ev"
shift
dict=$1
fi
shift
file=$*
g... | true |
18acb3d4861ad259bdf76b369c655984d2239d84 | Shell | mkomo/env | /bin/ccat | UTF-8 | 186 | 3.0625 | 3 | [] | no_license | #!/bin/bash
if [ ! -t 0 ];then
file=/dev/stdin
elif [ -f $1 ];then
file=$1
else
echo "Usage: $0 code.c"
echo "or e.g. head code.c|$0"
exit 1
fi
pygmentize -f terminal -g $file
| true |
41174bfe9af4c9acea87e23226d0577db8ba8e78 | Shell | bmwcarit/joynr | /tests/performance-test/src/main/cpp/memory-usage/run-memory-usage-analysis.sh | UTF-8 | 6,098 | 3.0625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
###
# #%L
# %%
# Copyright (C) 2018 BMW Car IT GmbH
# %%
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by... | true |
085f6b35e6999f9ddf838f324067398d28411684 | Shell | luisdarcadia/dotfiles | /fino-luis.zsh-theme | UTF-8 | 2,834 | 3.171875 | 3 | [] | no_license | # a ripoff of fino.zsh-theme, sorry
# I made this to help me with my Latex PHD thesis, it shows how my working directory differs from remote repository
function prompt_char {
git branch >/dev/null 2>/dev/null && echo "%{$FG[100]%}╄╅┭" && return
echo '┧'
}
#tex file without extension
local project_file="tese_main"
... | true |
785cdd74823fabb78d08795f8b2a3dd12a4f6476 | Shell | oppara/bin | /create-image.sh | UTF-8 | 439 | 3.71875 | 4 | [] | no_license | #!/bin/bash
function usage() {
echo "Usage $0 width height"
exit 1
}
if [ -z "$1" ]; then
usage
fi
if [ -z "$2" ]; then
usage
fi
width=$1
height=$2
point=`expr $width / 2`
for f in bmp gif jpeg jpg png tiff tif; do
convert -size ${width}x${height} xc:#97c03e \
-pointsize $point \
... | true |
9619b9c43c0f3a1ac9b4084fafd624c0790b7866 | Shell | timsong-cpp/cppwp | /gen_html_ranges.sh | UTF-8 | 490 | 2.75 | 3 | [] | no_license | #! /bin/sh
# Build the networking TS
cd ranges-ts
git reset --hard origin/master
latexmk -pdf ranges
git apply ../ranges_htmlgen.patch
cd ../cxxdraft-htmlgen-ranges
cabal build
dist/build/cxxdraft-htmlgen/cxxdraft-htmlgen ../ranges-ts Bare
cd 14882
rm -r ../../gh-pages/ranges-ts/*
mv 14882.css index.html math ../../g... | true |
c1ae978c5e90b2c103f4f09fb37472c6d6652767 | Shell | hhvm/hhvm-docker | /build-and-tag.sh | UTF-8 | 1,367 | 3.609375 | 4 | [
"MIT"
] | permissive | #!/bin/bash
#
# Copyright (c) 2017-present, Facebook, Inc.
# All rights reserved.
#
# This source code is licensed under the MIT license found in the
# LICENSE file in the root directory of this source tree.
set -ex
VERSION="${1:-"$(date +%Y.%m.%d)"}"
cd "$(dirname "$0")"
if [ $(uname -s) == "Darwin" ]; then
GREP=... | true |
ad1f60dd59bccf0136132dfa05bedcfefd0c5bb0 | Shell | petronny/aur3-mirror | /pypy-mako/PKGBUILD | UTF-8 | 1,461 | 2.625 | 3 | [] | no_license | pkgbase='pypy-mako'
pkgname=('pypy3-mako' 'pypy-mako')
pkgver=1.0.0
pkgrel=1
pkgdesc="Hyperfast and lightweight templating for the Python platform"
arch=('any')
url="http://www.makotemplates.org/"
license=('MIT')
makedepends=('pypy-setuptools' 'pypy3-setuptools' 'python>=3.4' # for 2to3
'pypy-markupsafe' 'pypy3-marku... | true |
c02f3486ccc36b83cc676c854667a1fb133469e0 | Shell | saulpierotti/bioscripts | /bash/uniprot_get.sh | UTF-8 | 420 | 3.875 | 4 | [
"MIT"
] | permissive | #!/bin/bash
#
# Author: Saul Pierotti
# Mail: saulpierotti.bioinfo@gmail.com
# Last updated: 17/04/2020
#
# Takes as first argument a file containing a list of UniProt IDs
# Downloads all of them in the current folder in fasta format.
if [ -f "$1" ]; then
for i in `cat $1`; do
wget https://www.uniprot.org/uniprot/$... | true |
7a1cebdf710d2b68d9db6b6789e9bb27cfca2ec1 | Shell | blkwtkns/wordpress-peruanas | /wp-cli-init.sh | UTF-8 | 1,672 | 2.90625 | 3 | [] | no_license | #!/bin/sh
alias wp="docker-compose run --rm wpcli"
WP_USER="wordpress"
WP_PW="wordpress"
# WP_THEME_DIR="postlight"
# WP_THEME_NAME="postlight"
WP_EMAIL="example@example.com"
WP_DB_NAME="wordpress"
WP_DESCRIPTION="headless WordPress site"
NOW=`date +"%m_%d_%Y_%H_%M_%S"`
# wp core download --version=4.9.2 --locale=en... | true |
93f03ff10fd6a9f5f8ac4785995944f8656f996e | Shell | space-sh/autodoc | /Spacefile.bash | UTF-8 | 16,056 | 3.59375 | 4 | [
"Apache-2.0"
] | permissive | #
# Copyright 2016-2017 Blockie AB
#
# This file is part of Space.
#
# Space is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation version 3 of the License.
#
# Space is distributed in the hope that it will be useful... | true |
69f11eb30d5444b67f930eefc7c6d56c4bdfaeb6 | Shell | gliyao/dcodetools | /dcodetools/xcode/build.sh | UTF-8 | 4,171 | 4.0625 | 4 | [] | no_license | #!/bin/bash
# parameters
prefix=$5
scheme=$1
profile="$prefix"/$2
app_name=$3
build_configuration=$4
function failed()
{
local error=${1:-Undefined error}
echo "Failed: $error" >&2
exit 1
}
function println()
{
echo "$(tput setaf 220)\n $1 \n$(tput sgr 0)"
}
function setup_app_data()
{
println "** $FU... | true |
462a076dea020e13e681fb7b0ed320496061f2ac | Shell | caguerra/Burkardt-Fortran-90 | /f_src/navier_stokes_2d_exact_test/navier_stokes_2d_exact_test.sh | UTF-8 | 683 | 2.609375 | 3 | [] | no_license | #! /bin/bash
#
gfortran -c -Wall navier_stokes_2d_exact_test.f90
if [ $? -ne 0 ]; then
echo "Compile error."
exit
fi
#
gfortran -o navier_stokes_2d_exact_test navier_stokes_2d_exact_test.o \
$HOME/lib/navier_stokes_2d_exact.o
if [ $? -ne 0 ]; then
echo "Load error."
exit
fi
rm navier_stokes_2d_exact_test.o
#
... | true |
45d7e2a11da7d9e969f21207130900bf0cefd8be | Shell | yale-sean/social_sim_web | /scripts/install.sh | UTF-8 | 2,574 | 2.84375 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
set -e
set -x
apt update
# install nginx, redis
apt install -y nginx redis-server
# install docker
curl -L https://gist.githubusercontent.com/nathantsoi/e668e83f8cadfa0b87b67d18cc965bd3/raw/setup_docker.sh | sudo bash
# as root
#sudo su -
export TURBOVNC_VERSION=2.2.5
export VIRTUALGL_VERSION=2.6.4
ex... | true |
1a8369b8d35b021abdba2d6fe638dc8ca309bb62 | Shell | AfricasVoices/Project-WUSC-KEEP-I | /run_scripts/21_relocate_WS_messages.sh | UTF-8 | 1,781 | 3.375 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
set -e
if [ $# -ne 1 ]; then
echo "Usage: sh 21_relocate_WS_messages.sh <data-root>"
echo "Unpacks labelled messages for reallocating WS data"
exit
fi
DATA_DIR=$1
rm -rf "$DATA_DIR/21 WS Migration data for Coda"
mkdir -p "$DATA_DIR/21 WS Migration data for Coda"
cd ../relocate_ws_me... | true |
050193e864e5565cae811d328848778d1adbfdbf | Shell | syohex/zsh-unix-command-completions | /_porg | UTF-8 | 3,410 | 2.90625 | 3 | [
"MIT"
] | permissive | #compdef porg
# The MIT License (MIT)
#
# Copyright (c) 2020 Shohei YOSHIDA
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# t... | true |
0360294669e2574962bfb805ae2c4046cdb4ac77 | Shell | murderuo/myBashScriptRepo | /yonlendirmeler | UTF-8 | 2,022 | 2.734375 | 3 | [] | no_license | #! /bin/bash
# YÖNLENDİRME
# 3 iletişim kanalı
# 1 INPUT ----> Klavye < (0)
# 2 OUTPUT----> EKRAN (Standart output - çıktı) > (1)
# 3 OUTPUT----> EKRAN (Standart error - hata) 2> (2)
# komut > dosya (Komutun çıktısı dosyaya yazılır)
# komut >> dosya (Komutun çıktısı dosya sonuna yazılır)
# komut < dosya (Komut... | true |
38813a0255c3c56f754cf95ebebee423601e0148 | Shell | Gikkman/dotfiles | /update-generic.sh | UTF-8 | 850 | 3.078125 | 3 | [
"MIT"
] | permissive | ##################################################
# Platform independent installs #
# These will RUN AFTER platform specifc installs #
##################################################
# Install oh-my-zsh and plugins
if ! $(${DOTDIR}/util/is-installed.sh zsh); then
echo Installing oh-my-zh
s... | true |
dbc54e2c8dbbb9152ddbbe5891a8d01d2264e123 | Shell | kirrilf/DINS-test | /scripts/deploy.sh | UTF-8 | 338 | 2.5625 | 3 | [] | no_license | #!/usr/bin/env bash
mvn clean package
echo 'Copy files'
scp -i ~/.ssh/id_rsa \
target/DINS-test-1.0-SNAPSHOT.jar \
kirrilf@34.105.180.71:/home/kirrilf/
echo 'Restart server...'
ssh -i ~/.ssh/id_rsa kirrilf@34.105.180.71 << EOF
pgrep java | xargs kill -9
nohup java -jar DINS-test-1.0-SNAPSHOT.jar > log.txt... | true |
889b581ff72d6bf6ff5a8161b3f33007c3b9e470 | Shell | viktorsht/Shell | /scriptBasicos/funcao.sh | UTF-8 | 98 | 3.15625 | 3 | [] | no_license | #! /bin/bash
msg(){
echo "yes!"
}
echo "ver mensagem"
read p
if [ "$p" = "1" ];then
msg
fi
| true |
a5ac7ae07fde208cacbab706750bb003784f86eb | Shell | edwinmsarmiento/sqlondockerbook | /ch03/installDockerOnRHEL.sh | UTF-8 | 681 | 3.0625 | 3 | [] | no_license | #This script can be used to install and configure Docker CE on a RHEL/CentOS Linux distribution
#Update the RHEL/CentOS system packages
sudo yum -y update
#Install the Required Dependencies
sudo yum install -y yum-utils device-mapper-persistent-data lvm2
#Add the Docker Stable Repository
sudo yum-config-manager --add... | true |
7fa8b9be6cbb076ff29abe955c9923fffa001d94 | Shell | five-5/faimPlus | /setup.sh | UTF-8 | 395 | 2.515625 | 3 | [] | no_license | #!/bin/bash
set -e
echo "Setup project"
export CC=/vpublic01/frog/wyh/gcc-6.1.0/bin/gcc
export CXX=/vpublic01/frog/wyh/gcc-6.1.0/bin/g++
export NVCC=/usr/local/cuda-9.1/bin/nvcc
rm -rf build
mkdir build
cd build/
cmake ..
make clean
make -j100 VERBOSE=1
echo "Done with setup, ready to run, call:"
echo "./mainaimGraph ... | true |
0e68c1778eb083a4a7318a946f311bb70f347207 | Shell | jingdao/swgoh | /pdf/add_border.sh | UTF-8 | 646 | 2.984375 | 3 | [] | no_license | #!/bin/bash
for i in `cat ../rarity.txt`
do
if [ ${#i} == 1 ]
then
if [ $i == C ]
then
convert images_original/$f.png -background black -alpha remove -bordercolor gray -border 7x7 images/$f.png
elif [ $i == U ]
then
convert images_original/$f.png -background black -alpha remove -bordercolor limegreen -... | true |
e0f74a0a3d7a4df0411ff15bfc4367536e745fb5 | Shell | ambidextrousTx/DotFiles | /.zshrc | UTF-8 | 6,864 | 3.484375 | 3 | [] | no_license | echo "Welcome to Olympus, Ambidextrous"
echo ""
echo -n "Today is "; date "+%m-%d-%Y %H:%M:%S"
echo -n "System status: "; uptime
# Ambidextrous: Homebrew on Apple Silicon
CPU=$(uname -p)
if [[ "$CPU" == "arm" ]]; then
export PATH="/opt/homebrew/bin:$PATH"
export BREW_BASE="/opt/homebrew"
export EDITOR=/opt... | true |
9e6f83d02afac295414f43b90a4fb540745d169f | Shell | yanichik/cs107e_coursework | /guides/update_rpi_install.sh | UTF-8 | 711 | 3.65625 | 4 | [] | no_license | # (c) Stanford University 2018
# Written by Mark Miller, 2/15/2018
# Shell script to put the mac_toolchain rpi-install in the right place.
# This assumes git has been pulled.
rpi_install_source="cs107e.github.io/guides/mac_toolchain/rpi-install.py"
if [ -z "$1" ]; then
rpi_install_dest="/home/rpi/bin/rpi-install.py... | true |
1c8fe91bcd4043dc23b0e6bc04833c7a356af4b3 | Shell | szuecs/dotfiles | /.zsh/functions/isbig.zsh | UTF-8 | 245 | 2.953125 | 3 | [] | no_license | # big-endian or little-endian ?
# Tested on: Mac G4 and macbbook.
isbig () {
isBIG=`/usr/bin/perl -e 'printf(unpack("h*", pack("s", 1)) =~ /01/);'`
if [ $isBIG -eq 1 ]; then
print "BIG_ENDIAN";
else
print "LITTLE_ENDIAN"
fi
}
| true |
698c1d73391ebbb09ee6aa6b5e22c9adee07661e | Shell | johscheuer/landscape-setup | /components/seed-config/deploy | UTF-8 | 2,681 | 3.9375 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash -eu
#
# Copyright (c) 2018 SAP SE or an SAP affiliate company. All rights reserved. This file is licensed under the Apache Software License, v. 2 except as noted otherwise in the LICENSE file
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance... | true |
cede115cdbbc68241f29d7760971ddceca11aa0b | Shell | Tubbz-alt/pcube-icnp2018 | /distributed/stateful_load_balancer/run.sh | UTF-8 | 4,438 | 2.828125 | 3 | [] | no_license | #!/bin/bash
# Copyright 2013-present Barefoot Networks, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicab... | true |
8ec4ce483486f11f103c9215d9a3b7e63b85ee68 | Shell | 8880/Shell | /for.sh | UTF-8 | 85 | 2.796875 | 3 | [] | no_license | #!/bin/sh
filelist=`ls`
echo $filelist
for file in $filelist
do
echo $file
done
| true |
bd8c182e7eb313e1536e2ad2ddfe04ab0587c524 | Shell | guadeitong/hadoop-install | /shell/script/secure_cluster.sh | UTF-8 | 1,546 | 3.640625 | 4 | [
"LicenseRef-scancode-warranty-disclaimer",
"Apache-2.0"
] | permissive | #!/bin/bash
# resolve links - $0 may be a softlink
this="${BASH_SOURCE-$0}"
common_bin=$(cd -P -- "$(dirname -- "$this")" && pwd -P)
script="$(basename -- "$this")"
this="$common_bin/$script"
# convert relative path to absolute path
config_bin=`dirname "$this"`
script=`basename "$this"`
config_bin=`cd "$config_bin"; ... | true |
d0430de0f0417cf2c3e855e372f6d385a6a8e3b9 | Shell | mictlan/aux-scripts | /icerec.sh | UTF-8 | 1,334 | 3.328125 | 3 | [] | no_license | #!/bin/sh
#
# you might run this one from cron. it recordes from jackd
# from the pors specified for the duration specified.
# Then encodes to OGG.
# leaving us with a 3 channel vorbis file :)
# http://xiph.org/vorbis/doc/Vorbis_I_spec.html#x1-800004.3.9
#
# jack ports to record
PORTS0="system:capture_1"
# mpd di... | true |
acafc7edbe52aa9b185d92a70126b8fd660843fd | Shell | jswhit2/ProdGSI | /util/Ozone_Monitor/image_gen/ush/plot_summary.sh | UTF-8 | 2,133 | 3.609375 | 4 | [] | no_license | #! /bin/ksh -l
#------------------------------------------------------------------
# plot_summary.sh
#
set -ax
if [[ ${MY_MACHINE} = "theia" ]]; then
module load grads
fi
SATYPE=$1
ptype=$2
#------------------------------------------------------------------
# Set work space for this SATYPE source.
#
tmpdir=${W... | true |
1135f53d38579f359a1690dce9ea491b41ef0c4b | Shell | UIUCSinhaLab/GEMSTAT_refinement_sampler | /bin/redo_crossval | UTF-8 | 5,235 | 3.328125 | 3 | [] | no_license | #!/bin/bash
SCRIPT_DIR=$(dirname "$(readlink -f "$0")")
BASE_DIR=${SCRIPT_DIR}/..
JOB_ID=$1
all_requirements=""
#'(Machine != "hal9013.cs.illinois.edu")'
MAX_SIMULTANEOUS=200
MAX_IDLEJOBS=100
FANIN_GROUP_SIZE=100
#allows a job to be submit by its config file directly. That allows the user to use tab completion.
... | true |
4378d5f5355e022c55ca1f5e7c383b319b02bbbc | Shell | g0dspeak/Pyrk_Masternode_Installer | /install.sh | UTF-8 | 12,297 | 3.46875 | 3 | [] | no_license | #!/bin/bash
COIN_NAME='raptoreum'
#wallet information
BOOTSTRAP_ZIP='https://www.dropbox.com/s/hhxml2txus7dc79/rtm-bootstrap.zip'
BOOTSTRAP_ZIPFILE='rtm-bootstrap.zip'
CONFIG_DIR='.raptoreumcore'
CONFIG_FILE='raptoreum.conf'
PORT='19989'
SSHPORT='22'
COIN_DAEMON='raptoreumd'
COIN_CLI='raptoreum-cli'
COIN_PATH='/usr/l... | true |
290585c8ff88309466f0cad44280e7f929bdea5c | Shell | gbleux/scripts | /rsb/rsb | UTF-8 | 861 | 3.625 | 4 | [
"MIT"
] | permissive | #!/bin/sh
#
# another custom backup script.
#
if test $# -lt 1
then
echo "No destination defined. Usage: $0 DEST [PWDFILE]" >&2
exit 1
elif test $# -gt 2
then
echo "Too many arguments. Usage: $0 DEST [PWDFILE]" >&2
exit 1
fi
RSYNC_ARGS="\
--human-readable \
--progress \
--recursive \
-... | true |
614d47157d44a165aa9c44db871bb0ce93d5c733 | Shell | Kamekure-Maisuke/ngm | /ngm.sh | UTF-8 | 496 | 3.625 | 4 | [] | no_license | #!/bin/sh
set -eo pipefail
export LC_ALL=C
[ "$1" = "-v" ] && {
cat >&2 <<- EOF
sr version 0.0.1
EOF
exit 0
}
NOGIZAKADATA='./data/member.html'
[ "$1" = "-a" ] && {
cat "$NOGIZAKADATA" |
grep '^<option value="http://blog.nogizaka' |
sed 's;^<option .\{1,\}>\(.\{1,\}\)</option>;\1;g' |
grep -E '.+? .+?' ... | true |
End of preview. Expand in Data Studio
README.md exists but content is empty.
- Downloads last month
- 8